#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QtGui>
#include <QTimer>
#include "car.h"

class MainWindow : public QMainWindow
{
        Q_OBJECT

    public:
        MainWindow(QWidget *parent = nullptr);
        ~MainWindow() override;

    protected:
        void paintEvent(QPaintEvent *event) override;

    private:
        QTimer chrono;
        Car mycar;

    public slots:
        void update();
};
#endif // MAINWINDOW_H
